#include "DevToolsWebClient.h"
#include "../Messages/BrowserRPCProcessor.h"

DevToolsWebClient::DevToolsWebClient()
	: lifeSpanHandler(new DevToolsLifeSpanHandler())
{
}


DevToolsWebClient::~DevToolsWebClient()
{
}


CefRefPtr<CefLifeSpanHandler> DevToolsWebClient::GetLifeSpanHandler()
{
	return lifeSpanHandler;
}


//////////////////////////////////////////////////////////////////////////
DevToolsLifeSpanHandler::DevToolsLifeSpanHandler()
{

}


DevToolsLifeSpanHandler::~DevToolsLifeSpanHandler()
{

}


void DevToolsLifeSpanHandler::OnAfterCreated(CefRefPtr<CefBrowser> browser)
{
	BrowserRPCProcessor::Add(browser, false);
	//BrowserRPCProcessor::Get(browser)->GetCommands().OnViewIsReady();
}


void DevToolsLifeSpanHandler::OnBeforeClose(CefRefPtr<CefBrowser> browser)
{
	BrowserRPCProcessor::Remove(browser);
}
