#pragma once
#include "include\cef_client.h"

class DevToolsLifeSpanHandler :
	public CefLifeSpanHandler
{
public:
	DevToolsLifeSpanHandler();
	virtual ~DevToolsLifeSpanHandler();

	// CefLifeSpanHandler methods:
	virtual void OnAfterCreated(CefRefPtr<CefBrowser> browser) OVERRIDE;
	virtual void OnBeforeClose(CefRefPtr<CefBrowser> browser) OVERRIDE;

private:
	IMPLEMENT_REFCOUNTING(DevToolsLifeSpanHandler);
};


class DevToolsWebClient :
	public CefClient
{
public:
	DevToolsWebClient();
	~DevToolsWebClient();

	virtual CefRefPtr<CefLifeSpanHandler> GetLifeSpanHandler() OVERRIDE;

private:
	CefRefPtr<CefLifeSpanHandler> lifeSpanHandler;

	IMPLEMENT_REFCOUNTING(DevToolsWebClient);
};

