#pragma once

#include "include/cef_client.h"

class DialogHandler :
	public CefDialogHandler
{
public:
	DialogHandler();
	virtual ~DialogHandler();

	virtual bool OnFileDialog(CefRefPtr<CefBrowser> browser,
		FileDialogMode mode,
		const CefString& title,
		const CefString& default_file_path,
		const std::vector<CefString>& accept_filters,
		int selected_accept_filter,
		CefRefPtr<CefFileDialogCallback> callback) OVERRIDE;

private:
	IMPLEMENT_REFCOUNTING(DialogHandler);
};

