#pragma once

#include "include/cef_client.h"

class DisplayHandler : 
	public CefDisplayHandler
{
public:
	DisplayHandler();
	virtual ~DisplayHandler();

	virtual void OnTitleChange(CefRefPtr<CefBrowser> browser, const CefString& title) OVERRIDE;
	virtual void OnFaviconURLChange(CefRefPtr<CefBrowser> browser, const std::vector<CefString>& icon_urls) OVERRIDE;

private:
	IMPLEMENT_REFCOUNTING(DisplayHandler);
};

