#pragma once

#include "include/cef_client.h"
#include <thread>
#include <memory>

class FocusHandler :
	public CefFocusHandler
{
public:
	FocusHandler();
	virtual ~FocusHandler();

	virtual void OnGotFocus(CefRefPtr<CefBrowser> browser) OVERRIDE;

	virtual void OnTakeFocus(CefRefPtr<CefBrowser> browser, bool next) OVERRIDE;

private:
	IMPLEMENT_REFCOUNTING(FocusHandler);
};

