#include "DebugHandler.h"
#include "../../../Messages/BrowserRPCProcessor.h"

#include <iostream>
#include <json/json.h>


DebugHandler::DebugHandler()
{
}


DebugHandler::~DebugHandler()
{
}


bool DebugHandler::Execute(const CefString& name, CefRefPtr<CefV8Value> object, const CefV8ValueList& arguments, CefRefPtr<CefV8Value>& retval, CefString& exception)
{
	if (name == L"openDevTools")
	{
		auto context = CefV8Context::GetCurrentContext();
		BrowserRPCProcessor::Get(context->GetBrowser())->GetCommands().OpenDevTools();
		return true;
	}

	return false;
}