#pragma once

#include "..\Utils\Handle.h"
#include <string>

class Mutex :
	public Handle
{
public:
	Mutex();
	Mutex(Mutex&& other);
	Mutex(bool initiallyOwned, const std::wstring& name);

	DWORD Wait(DWORD timeout = INFINITE);
	void ReleaseMutex();
};
