#pragma once

#include <string>
#include <chrono>
#include "Performancer.h"


class Profiler
{
public:
	Profiler(const std::wstring& name, bool measureOnDtor = true);
	Profiler() : measureOnDtor(false) {}
	~Profiler();

	void Start(const std::wstring& name, bool measureOnDtor = true);
	void Stop() const;

	void SetName(const std::wstring& name);

private:
	bool omit0msResults;
	std::wstring name;
	bool measureOnDtor;
	std::chrono::time_point<HighResClock> start;
};

