#pragma once

#include <thread>
#include <string>
#include "windows.h"

#pragma pack(push,8)
typedef struct tagTHREADNAME_INFO
{
	DWORD dwType; // Must be 0x1000.
	LPCSTR szName; // Pointer to name (in user addr space).
	DWORD dwThreadID; // Thread ID (-1=caller thread).
	DWORD dwFlags; // Reserved for future use, must be zero.
} THREADNAME_INFO;
#pragma pack(pop)

class ThreadHelper
{
public:
	static void SetThreadName(std::thread& thread, const std::string& name);
};

