#pragma once

#include <string>

class UriHelper
{
public:
	static std::wstring UriHelper::UnescapeDataString(const std::wstring& string);
	static std::string UriHelper::UnescapeDataString(const std::string& string);
	static std::wstring UriHelper::EscapeDataString(const std::wstring& string);

private:
	static std::wstring Char2Hex(wchar_t dec);
};

