#pragma once

#include "Component.h"
#include <string>
#include <mutex>
#include <set>
#include <windows.h>

class ErrorComponent : public Component
{
public:
	ErrorComponent(View& view);

	void DisplayError(const std::wstring& failedUrl, int errorCode, int frameId);

private:
	std::set<std::wstring> FindRequestedStrings(const std::wstring& input);
	int RemapErrorCode(int errorCode);

private:
	std::wstring fileBaseDir;
};

