#pragma once

#include "include/cef_client.h"

class ContextMenuHandler :
	public CefContextMenuHandler
{
public:
	ContextMenuHandler();
	virtual ~ContextMenuHandler();

	virtual void OnBeforeContextMenu(CefRefPtr<CefBrowser> browser,
		CefRefPtr<CefFrame> frame,
		CefRefPtr<CefContextMenuParams> params,
		CefRefPtr<CefMenuModel> model) OVERRIDE;
	virtual bool OnContextMenuCommand(CefRefPtr<CefBrowser> browser,
		CefRefPtr<CefFrame> frame,
		CefRefPtr<CefContextMenuParams> params,
		int command_id,
		EventFlags event_flags) OVERRIDE;

private:
	IMPLEMENT_REFCOUNTING(ContextMenuHandler);
};

