#pragma once

#include "include\cef_client.h"

class DownloadHandler :
	public CefDownloadHandler
{
public:
	DownloadHandler();
	~DownloadHandler();

	virtual void OnBeforeDownload(
		CefRefPtr<CefBrowser> browser,
		CefRefPtr<CefDownloadItem> download_item,
		const CefString& suggested_name,
		CefRefPtr<CefBeforeDownloadCallback> callback) OVERRIDE;

	virtual void OnDownloadUpdated(
		CefRefPtr<CefBrowser> browser,
		CefRefPtr<CefDownloadItem> download_item,
		CefRefPtr<CefDownloadItemCallback> callback) OVERRIDE;

private:
	IMPLEMENT_REFCOUNTING(DownloadHandler);
};

