#pragma once

#include "include/cef_client.h"

class JSDialogHandler :
	public CefJSDialogHandler
{
public:
	JSDialogHandler();
	virtual ~JSDialogHandler();

	virtual bool OnJSDialog(CefRefPtr<CefBrowser> browser,
		const CefString& origin_url,
		const CefString& accept_lang,
		JSDialogType dialog_type,
		const CefString& message_text,
		const CefString& default_prompt_text,
		CefRefPtr<CefJSDialogCallback> callback,
		bool& suppress_message) OVERRIDE;

private:
	IMPLEMENT_REFCOUNTING(JSDialogHandler);
};

