#include "RenderHandler.h"
#include "../BrowserClient.h"
#include "../../Views/ViewManager.h"
#include "../../Views/View.h"
#include "../../Views/Components/LayoutComponent.h"

RenderHandler::RenderHandler()
{
}


RenderHandler::~RenderHandler()
{
}


bool RenderHandler::GetViewRect(CefRefPtr<CefBrowser> browser, CefRect& rect)
{
	auto view = BrowserClient::GetInstance().GetViewManager().GetView(browser);
	if (view != nullptr)
	{
		rect.x = view->Layout.GetLeft();
		rect.y = view->Layout.GetLeft();
		rect.width = view->Layout.GetWidth();
		rect.height = view->Layout.GetHeight();
	}
	return true;
}


void RenderHandler::OnPaint(CefRefPtr<CefBrowser> browser, PaintElementType type, const RectList& dirtyRects, const void* buffer, int width, int height)
{
	return;
}
