#pragma once

#include "include/cef_client.h"

class RenderHandler :
	public CefRenderHandler
{
public:
	RenderHandler();
	~RenderHandler();

	virtual bool GetViewRect(CefRefPtr<CefBrowser> browser, CefRect& rect) OVERRIDE;
	virtual void OnPaint(CefRefPtr<CefBrowser> browser,
		PaintElementType type,
		const RectList& dirtyRects,
		const void* buffer,
		int width, int height) OVERRIDE;


private:
	IMPLEMENT_REFCOUNTING(RenderHandler);
};

