#pragma once
#include "include\cef_v8.h"

class OverrideHandler :
	public CefV8Handler
{
public:
	OverrideHandler();
	~OverrideHandler();

	void ApplyToContext(CefRefPtr<CefV8Handler> self, CefRefPtr<CefV8Context> context);

	virtual bool Execute(const CefString& name,
		CefRefPtr<CefV8Value> object,
		const CefV8ValueList& arguments,
		CefRefPtr<CefV8Value>& retval,
		CefString& exception) OVERRIDE;

private:

	IMPLEMENT_REFCOUNTING(OverrideHandler);
};

