#pragma once

#include <string>
#include <openssl/bio.h>

class CABundleGenerator
{
public:
	CABundleGenerator(const std::string& caBundlePathDestination);
	~CABundleGenerator();

	void Generate();

private:
	void WriteCertificates(BIO* bio, const std::wstring& subsystemProtocol);
	void WriteX509(const unsigned char* input, int length, BIO* bio);
	bool CABundleExists() const;

private:
	std::string caBundlePathDestination;
};

