#pragma once

#include <functional>

class Cancelable
{

public:
	Cancelable(int id);
	Cancelable(int id, const std::function<void()>& onCancel);
	void Cancel();
	void Done();
	void OnCancel(const std::function<void()>& onCancel, bool forceOverride = false);

	int GetId();

private:
	std::function<void()> onCancel;
	int id;
};
