#include "ThreadHelper.h"

void ThreadHelper::SetThreadName(std::thread& thread, const std::string& name)
{
	DWORD threadId = ::GetThreadId(static_cast<HANDLE>(thread.native_handle()));

	const DWORD MS_VC_EXCEPTION = 0x406D1388;

	THREADNAME_INFO info;
	info.dwType = 0x1000;
	info.szName = name.c_str();
	info.dwThreadID = threadId;
	info.dwFlags = 0;

	__try
	{
		RaiseException(MS_VC_EXCEPTION, 0, sizeof(info) / sizeof(ULONG_PTR), (ULONG_PTR*)&info);
	}
	__except (EXCEPTION_EXECUTE_HANDLER)
	{
	}
}