#pragma once

#include "Component.h"

#include "include/cef_app.h"

#include <string>
#include <functional>
#include <vector>
#include <mutex>
#include <windows.h>

class PingComponent : public Component
{
public:
	PingComponent(View& view);
	~PingComponent();

	void Ping(const std::function<void()>& pongCallback);
	void Pong();

private: 
	std::function<void()> pongCallback;
};
